精华内容
下载资源
问答
  • 目前已知是: tensorflow 1.5 和 keras 2.1.4, 1.4 和 2.1.3搭配, 1.3 和 2.1.2 搭配, ...

    目前已知的是: tensorflow 1.5 和 keras 2.1.4 ,

                                                1.4 和 2.1.3搭配,

                                                1.3 和 2.1.2 搭配,

                                                 1.2 和 2.1.1搭配。

     

       通过留言得到的版本确认信息为:

                                         

                                                  1.8 和 keras 2.1.5

                                                  1.8 和 keras 2.1.6

                                                  1.9 和 keras 2.2.0

                                                  2.0 和 keras 2.2.4

    展开全文
  • 安装tensorflow对应的keras版本安装目的参考博文目前环境1.安装tensorflow的cpu版本2.安装Keras3.可能需要安装visual Studio 2015、2017 和 2019 的 Microsoft Visual C++ 可再发行软件包。4.搞完收工 安装目的 原本...

    安装目的

    原本使用tensorflow1.14.0的版本,但不知道为什么重复不了模型,尝试了处处,后面觉得可能是版本的问题,就顺便更新tensorflow版本

    参考博文

    Tensorflow 2.1CPU版本安装 (有点坑)_非学无以广才,非志无以成学-CSDN博客_安装tensorflow2.1cpu版本 https://blog.csdn.net/l1509214729/article/details/105281009
    如何下载安装最新版tensorflow2.1.0 cpu版本+可能出现的问题的解决方法【小白级教程】_weixin_45393580的博客-CSDN博客_tensorflow 2 cpu 有问题 用不了 https://blog.csdn.net/weixin_45393580/article/details/105913069?ops_request_misc=%257B%2522request%255Fid%2522%253A%2522159581169219724848324851%2522%252C%2522scm%2522%253A%252220140713.130102334…%2522%257D&request_id=159581169219724848324851&biz_id=0&utm_medium=distribute.pc_search_result.none-task-blog-2allsobaiduend~default-3-105913069.first_rank_ecpm_v3_pc_rank_v2&utm_term=tensorflow+2.1+cpu&spm=1018.2118.3001.4187

    目前环境

    python 3.8.3 windows环境

    1.安装tensorflow的cpu版本

    2.0以上版本的如果需要安装cpu版本,需要特别指定,不然cpu和GPU一起装,然后GPU版本又需要安装特别多的其他包,而且我不跑比较大的东西(新手)
    pip install tensorflow-cpu==2.1.0

    除安装cpu版本外,还要安装对应的原始的tensorflow不然就会一直报没有tf模块的错误,看来cpu与GPU版都是搭在原始版本之上的
    pip install tensorflow==2.1.0

    2.安装Keras

    直接安装就行
    pip install keras

    3.可能需要安装visual Studio 2015、2017 和 2019 的 Microsoft Visual C++ 可再发行软件包。

    与缺这个msvcp140_1.dll可能相关
    https://support.microsoft.com/zh-cn/help/2977003/the-latest-supported-visual-c-downloads

    4.搞完收工

    哇,哭了

    5.莫名奇妙的问题

    1.中途还尝试了anaconda创建虚拟环境安装包,莫名奇妙的在anaconda虚拟环境种输入python然后能正常使用tensorflow和keras,结果在环境内打开jupyter notebook就报错了。。。
    Windows10下用Anaconda3安装TensorFlow教程 - 星辰之衍 - 博客园 https://www.cnblogs.com/HongjianChen/p/8385547.html
    2.可能你还需要了解tensorflow对应keras的版本:https://docs.floydhub.com/guides/environments/
    3.后面还报了Sudden Tensorflow / Keras Google Colab dependency problems AttributeError: module 'tensorflow._api.v1.compat.v2' has no attribute 的'__internal__'的问题,我是先把keras卸了装最新版的,然后tensorflow也是最新版,再加上卸载掉keras-nightly,再装上h5py新版本,终于解决了https://stackoverflow.com/questions/67694114/sudden-tensorflow-keras-google-colab-dependency-problems-attributeerror-modu
    4.后面使用keras的所有模型基本都用用tensorflow.keras非常麻烦

    展开全文
  • tensorflow版本 &keras版本 1.2 2.11 1.3 2.12 1.4 2.13 1.5 2.14 一旦安装版本不匹配,就会在环境中出现各式各样错误,记录一下,以便以后自己重装一顿乱下,血教训啊,这几天装了多少版本一...

    总结:
    tensorflow版本 &keras版本

    1.2 2.11
    1.3 2.12
    1.4 2.13
    1.5 2.14

    一旦安装版本不匹配,就会在环境中出现各式各样的错误,记录一下,以便以后自己重装一顿乱下,血的教训啊,这几天装了多少版本一个个试,无敌了。

    展开全文
  • tensorflow版本对应的keras版本 https://docs.floydhub.com/guides/environments/

    tensorflow版本对应的keras版本
    https://docs.floydhub.com/guides/environments/
    在这里插入图片描述
    **在这里插入图片描述**

    展开全文
  • tensorflow keras 对应版本

    千次阅读 2020-06-01 23:37:50
    tensorflow 对应 的keras 版本 通过留言得到的版本确认信息为: 1.8 和 keras 2.1.5 1.8 和 keras 2.1.6 ...
  • Tensorflow版本与Keras版本的对应关系

    千次阅读 2020-07-30 16:59:07
  • 在使用Tensorflow时,导入Keras报错,错误原因如下: ImportError: Keras requires ...这里我们只需要卸载当前Keras,并根据Tensorflow的版本通过pip下载安装对应版本的Keras。 pip install keras==2.3.1 安装
  • tensorflow-gpu keras 安装

    2020-04-19 16:23:39
    版本cuda9.0 cudnn7 对应tensorflow-gpu==1.5.0 keras==2.1.4 命令:(之前tensorflow keras版本都uninstall即可)用国内源加速 pip uninstall tensorflow-gpu pip uninstall keras pip install tensorflow-...
  • 在应用tensorflowkeras进行模型训练和测试时,经常出现因为tensorflow版本和keras版本不匹配导致的错误,可以通过下方网址查询tensorflowkeras对应的版本https://docs.floydhub.com/guides/environments/ ...
  • TensorflowKeras版本对应

    万次阅读 多人点赞 2019-11-28 17:03:43
    在导入keras包时出现这个...可以在该网址查看tensorflowkeras对应的版本:https://docs.floydhub.com/guides/environments/ 以下是常用版本截图 Framework Env name (--env parameter) Description ...
  • Windows10安装cuda10.0+tensorflow2.0.0+keras2.3.0 首先附上对应Cuda10.0和10.1Cudnn链接吧(NVIDIA注册总是失败): 链接:https://pan.baidu.com/s/1a4oSqVswEXRANKr2OWIxLg&shfl=sharepset 提取码:76sa ...
  • 1.安装keras 安装Keras要注意版本对应问题,不然会出错: ...我tensorflow1.7.0,所以安装方式: pip install -i https://pypi.tuna.tsinghua.edu.cn/simple keras==2.1.6 安装成功后检测是否可行: ...
  • 我用的版本配置: Tensorflow-GPU==1.15.0+db2 Keras-GPU==2.2.4 ...按照路径进行安装对应的安装包,这样比不写路径装速度更快,并且可以查到。 详细查询 进行安装 conda install --channel https:...
  • kerastensorflow的版本对应关系,可参考: Framework Env name (--env parameter) Description Docker Image Packages and Nvidia Settings TensorFlow 1.14 tensorflow-1.14 TensorFlow ...
  • Windows中安装tensorflow并与之对应的keras 一、注意 此步骤适应于只有无显卡(无GPU)的CPU情况 ,电脑配置显卡(有相应的GPU)可以考虑更高版本python。 要求:python版本3.5-37(版本过高适应于有gpu的PC),本...
  • 版本问题 kerastensorflow的版本对应关系 kerastensorflow的版本对应关系,可参考: @https://docs.floydhub.com/guides/envi...
  • TensorflowKeras的版本对应关系

    千次阅读 2020-07-26 19:58:42
    在安装TensorflowKeras时,需要注意两者版本的对应关系,否则可能会报错。下面是查看两者版本对应关系链接,需要小伙伴可以自行查看: https://docs.floydhub.com/guides/environments/ 另外附上安装...
  • TensorFlow-GPU对应的keras 安装 conda install keras-gpu opencv安装命令 conda install -c menpo opencv TensorFlow-GPU安装版本 https://blog.csdn.net/oMoDao1/article/details/83241074
  • 笔者这里安装了anaconda3的最新版本,下载自清华大学镜像站,选择了ubuntu系统可用的Anaconda3-2020.02-Linux-x86_64.sh下载安装的,其它系统选择对应的版本即可,anaconda安装完成后,可以首先检查一下系
  • 在服务器上安装gpu环境的时候经常因为版本对应不上二报错, 现在整理cuda对应的显卡驱动版本、cuda对应tensorflow-gpu的版本、tensorflow-gpu对应的keras版如下: keras | Framework Env Description ...
  • 1.tensorflow-gpu与CUDA对应关系 2.在安装keras时可根据要求匹配tensorflow-gpu: tensorflow 1.5 和keras 2.1.4 tensorflow 1.4和keras 2.1.3 tensorflow 1.3和keras 2.1.2 tensorflow 1.2和keras 2.1.1 ...
  • 前言:gpu版本的tensorflow需要安装CUDA和cuDNN,不同的显卡对应的版本不同,而CUDA的版本和cuDNN又是对应的,所以要去下载自己对应的版本安装好。 以下操作都是建立在已经安装好anaconda、 打开anaconda prompt 1....
  • steps 是时间序列的意思,就是一句话包含了多少个词,features是每个词的特征,可以联想图片处理中一个像素点对应3个通道(channel,就是feathures,其对应的就是filters) 参数 描述 data_format channels_last ...
  • 标题其实很清楚了,只不过我还是把我环境列详细一点给大家...Anaconda和Python对应版本见:https://blog.csdn.net/yuejisuo1948/article/details/81043823 Cuda下载:https://developer.nvidia.com/cuda-toolkit Cudnn
  • 环境配置—TensorflowKeras的版本对应关系
  • 安装的tensorflow版本和keras版本不匹配,只需卸载keras,重新安装自己tensorflow对应的版本就OK了。 可以在这个网址查看tensorflow和keras对应的版本:https://docs.floydhub.com/guides/environments/ ...
  • 参考2【tensorflow2.x】对应的keras版本 安装首先查看版本对应关系: 1.查看显卡与CUDA对应关系,参考1 2查看tensorflow2.2 对应 的keras 版本,参考2 3.cuDNN是一个SDK,是一个专门用于神经网络的加速包,注意,它跟...
  • 1. source activate tensorfow("tensorflow是环境名称") 2. 在环境下,镜像安装tensorflow : ...3. 检查tensorflow对应的keras版本 https://docs.floydhub.com/guides/environments/ 4.pip install keras==2.3.1 -i

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 539
精华内容 215
关键字:

tensorflow对应的keras